Page MenuHomePhabricator

Set up Zynatic for Wikimedia Sverige membership register
Closed, ResolvedPublic

Description

Now that Wikimedia Sverige has decided on a membership management system (Zynatic) we will also need to set it up.

While this is now a Tracking-Neverending task special attention should be paid to the tasks blocking deployment:

Related Objects

StatusSubtypeAssignedTask
ResolvedLokal_Profil
ResolvedLokal_Profil
ResolvedLokal_Profil
ResolvedLokal_Profil
ResolvedLokal_Profil
ResolvedSaraMortsell
ResolvedJopparn
ResolvedJopparn
ResolvedLokal_Profil
ResolvedLokal_Profil
ResolvedLokal_Profil
Resolved Evelina-Bang-WMSE
ResolvedLokal_Profil
ResolvedSaraMortsell
OpenNone
DuplicateNone
ResolvedNone
ResolvedLokal_Profil
OpenNone
ResolvedNone
ResolvedNone
ResolvedNone
OpenNone
ResolvedLokal_Profil
OpenNone
DeclinedLokal_Profil
ResolvedLokal_Profil
DeclinedNone
OpenNone
OpenNone
OpenNone
ResolvedLokal_Profil
DeclinedNone
OpenNone
OpenNone
OpenNone
ResolvedLokal_Profil
OpenNone
ResolvedNone
ResolvedJopparn
ResolvedLokal_Profil
OpenNone
ResolvedLokal_Profil
ResolvedLokal_Profil
ResolvedNone
ResolvedJopparn

Event Timeline

Jopparn triaged this task as High priority.Aug 27 2017, 10:37 PM
Jopparn moved this task from Backlog to This week on the User-LokalProfil board.
Lokal_Profil updated the task description. (Show Details)

On mass creating accounts:

Det finns möjlighet att skapa inloggningsuppgifter till flera medlemmar under Admin->Skapa inloggningsuppgifter, flera medlemmar. Denna meny dyker upp när medlemsinloggning har aktiverats för er.

Lokal_Profil updated the task description. (Show Details)
Lokal_Profil added subscribers: SaraMortsell, Jopparn.

See if the Zynatic can host membership page until new website is up and running.

An alternative for Integrate Zynatic member login with our web would be to set up medlem.wikimedia.se to be a redirect for the login form (if that works).

There are urrently issues with the membership system meaning the settings subpages cannot be reached

Zynatic has been enabled from the FortNox side.
PayPal account set up and integrated with Zynatic.

FortNox integrated on Zynatic side

PayPal account set up and integrated with Zynatic.

Some complications here. Investigating an undocumented pre-existing PayPal account.

Sent a test-email through Zynatic. - It arrived

Handled the Paypal issue.
Made a test (PayPal) payment through Zynatic. Works on my end.
@Evelina-Bang-WMSE : Could you check it on the FortNox end

I can't see things like that in Fortnox - I'll e-mail Opad.

When I log in to Zynatic, I get the choice to pay with "Paypal, kort eller Paypal". Is that something we can change? (To "Kort eller Paypal".)
When I clicked it, I could chose to pay my membership fee for 2016 and/or 2018.

I can't see things like that in Fortnox - I'll e-mail Opad.

Keep me posted and I'll add this as a question to Zynatic.

When I log in to Zynatic, I get the choice to pay with "Paypal, kort eller Paypal". Is that something we can change? (To "Kort eller Paypal".)

I'll include this in my question to Zynatic

When I clicked it, I could chose to pay my membership fee for 2016 and/or 2018.

That's not ideal. Lets take a look at it and either figure out how to deactivate it or send a bug report to Zynatic.

Test invoice (membership renewal) sent to John over e-mail.

Looks like the "bankgiro" part is treating åäö incorrectly. Reporting that to Zynatic

I've converted this to a tracking task instead and broken the information out into the various subtasks

I can't see things like that in Fortnox - I'll e-mail Opad.

Keep me posted and I'll add this as a question to Zynatic.

Please post any follow-up in T186213: Ensure payment and Fortnox integration is working in Zynatic

When I log in to Zynatic, I get the choice to pay with "Paypal, kort eller Paypal". Is that something we can change? (To "Kort eller Paypal".)

I'll include this in my question to Zynatic

When I clicked it, I could chose to pay my membership fee for 2016 and/or 2018.

That's not ideal. Lets take a look at it and either figure out how to deactivate it or send a bug report to Zynatic.

I've asked Zynatic about these. Follow-up in T186213: Ensure payment and Fortnox integration is working in Zynatic

Aklapper added a subscriber: Aklapper.

Not Tracking-Neverending per its definition as it has an ending. Maybe Epic or Goal though?

@Lokal_Profil: Two members have let us know that "i" in their name has been replaced by a small "L", eg. "marla" instead of "maria".

Tickets numbers in OTRS:

  • 2018032110010188
  • 2018032110010302
Lokal_Profil added a comment.EditedMar 22 2018, 10:35 AM

@Lokal_Profil: Two members have let us know that "i" in their name has been replaced by a small "L", eg. "marla" instead of "maria".

Tickets numbers in OTRS:

  • 2018032110010188
  • 2018032110010302

reported. I've also asked if the usernames can be changed manually

Another letter exchange:
"u" became "c" in Hugo in the user name when using Skapa inloggningsuppgifter, flera medlemmar for a member.

Another letter exchange:
"u" became "c" in Hugo in the user name when using Skapa inloggningsuppgifter, flera medlemmar for a member.

Reported

Lokal_Profil updated the task description. (Show Details)Apr 5 2018, 12:56 PM
Lokal_Profil updated the task description. (Show Details)
SaraMortsell moved this task from Backlog to Done on the User-SaraMortsell board.May 25 2018, 1:56 PM
Lokal_Profil closed this task as Resolved.Oct 23 2018, 8:44 PM
Lokal_Profil claimed this task.
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil moved this task from Watching to Done on the User-LokalProfil board.

Resolving this we are actively using this now. Any open aubtasks are either linked to GDPR documentation or requested upstream development.